unit movieplayer;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, MOVIEPLAYERLib_TLB, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    chkAspectRatio: TCheckBox;
    chkLoop: TCheckBox;
    TrackBar1: TTrackBar;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    txtDur: TEdit;
    Label2: TLabel;
    txtCurPos: TEdit;
    Label3: TLabel;
    txtWidth: TEdit;
    Label4: TLabel;
    txtHeight: TEdit;
    GroupBox2: TGroupBox;
    btnSelFile: TButton;
    BtnPlay: TButton;
    BtnStop: TButton;
    BtnPause: TButton;
    BtnSnapshot: TButton;
    Button2: TButton;
    Button3: TButton;
    GroupBox3: TGroupBox;
    txtPlayBack: TEdit;
    Button1: TButton;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label5: TLabel;
    MoviePlayer1: TMoviePlayer;
    procedure btnSelFileClick(Sender: TObject);
    procedure BtnPlayClick(Sender: TObject);
    procedure BtnStopClick(Sender: TObject);
    procedure BtnPauseClick(Sender: TObject);
    procedure BtnSnapshotClick(Sender: TObject);
    procedure MoviePlayer1Playing(ASender: TObject; iCurrent: Smallint;
      const strTime: WideString);
    procedure chkAspectRatioClick(Sender: TObject);
    procedure MoviePlayer1Completed(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnSelFileClick(Sender: TObject);
begin
opendialog1.Filter :='dat (*.dat)|*.dat|avi (*.avi)|*.avi|mpeg (*.mpg)|*.mpg;*.mpeg|wmv (*.wmv)|*.wmv|asf (*.asf)|*.asf';
             if opendialog1.Execute then
             begin
                movieplayer1.FileName :=opendialog1.FileName;
                 txtDur.Text := Format('%f', [movieplayer1.Duration] );
                 txtHeight.Text :=  Format('%d', [movieplayer1.VideoHeight] );
                 txtWidth.Text :=  Format('%d', [movieplayer1.VideoWidth] );
                 TrackBar1.Min := 0;
                  TrackBar1.Max :=10000;
                  TrackBar1.Position :=10000;

             end;



end;

procedure TForm1.BtnPlayClick(Sender: TObject);
begin
movieplayer1.Play();
end;

procedure TForm1.BtnStopClick(Sender: TObject);
begin
movieplayer1.Stop();
end;

procedure TForm1.BtnPauseClick(Sender: TObject);
begin
movieplayer1.Pause();
end;

procedure TForm1.BtnSnapshotClick(Sender: TObject);
begin
MoviePlayer1.SnapShot ('c:\test.bmp');
Image1.Picture.LoadFromFile('c:\test.bmp');

end;

procedure TForm1.MoviePlayer1Playing(ASender: TObject; iCurrent: Smallint;
  const strTime: WideString);
begin
txtCurPos.Text :=  Format('%d', [iCurrent] );


end;

procedure TForm1.chkAspectRatioClick(Sender: TObject);
begin

  if chkAspectRatio.Checked then
    movieplayer1.AspectRatio :=True
  else
    movieplayer1.AspectRatio :=False;

end;

procedure TForm1.MoviePlayer1Completed(Sender: TObject);
begin

  if chkLoop.Checked then
    movieplayer1.Play();
    
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
       movieplayer1.SoundVolume :=TrackBar1.Position -10000;


end;

procedure TForm1.Button1Click(Sender: TObject);
begin

  movieplayer1.PlaybackRate :=strTofloat(txtPlayBack.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
movieplayer1.ResizeControl(100,100);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
movieplayer1.ResizeControl(200,200);
end;

end.
